/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      Copyright (C) 2012 John Crispin <blogic@openwrt.org>
 */

#include <pj/log.h>

#include "../config.h"
#include "dial.h"

#define THIS_FILE	"d/contact.c"

static pjsua_call_id
contact_number(char *sequence)
{
	struct contact *c = owsip_contact(sequence);
	if (!c)
		return -1;
	PJ_LOG(3, (THIS_FILE, "calling contact %s %s %s %s", sequence, c->desc, c->type, c->dial));
	if (!strcmp(c->type, "realm"))
		return owsip_call_realm(c->dial, c->account);
	else if (!strcmp(c->type, "realm"))
		return owsip_call(c->dial, c->account);
	return -1;
}

static struct dial contact = {
	.name = "contact",
	.number = contact_number,
};

DIAL(contact)
