/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      Copyright (C) 2012 John Crispin <blogic@openwrt.org>
 */

#include "notify.h"

static LIST_HEAD(notifies);

void
notify_register(struct notify *n)
{
	list_add(&n->list, &notifies);
}

void
notify(char *event, pjsua_call_id call_id, int port)
{
	struct list_head *p;
	if (!event)
		return;
	if (port > 1)
		port = -1;
	list_for_each(p, &notifies) {
		struct notify *n = container_of(p, struct notify, list);
		if (n->hook && !strcmp(event, n->event))
			n->hook(event, call_id, port);
	}
}
