/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      Copyright (C) 2012 John Crispin <blogic@openwrt.org>
 */

#ifndef _OWSIP_NOTIFY_H__
#define _OWSIP_NOTIFY_H__

#include <libubox/list.h>

#include <pjsua-lib/pjsua.h>
#include <pjsua-lib/pjsua_internal.h>

struct notify {
	struct list_head list;
	char *event;
	void (*hook)(char *event, pjsua_call_id call_id, int port);
};

void notify_register(struct notify *n);
void notify(char *event, pjsua_call_id call_id, int port);

void uci_state_dump(void);

#define notify_call(e, c)	notify(e, c, -1)
#define notify_port(e, p)	notify(e, 0, p)

#define NOTIFY(e, h) \
void  __attribute__ ((constructor)) \
notify##e##h(void) \
{ \
	struct notify *n = malloc(sizeof(struct notify)); \
	if (!n) \
		return; \
	n->event = #e; \
	n->hook = h; \
	notify_register(n); \
}
#endif

