/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      Copyright (C) 2012 John Crispin <blogic@openwrt.org>
 */

#include <stdio.h>
#include <stdlib.h>

#include "notify.h"

#define MAX_PORT	2

static int online = 1;
static int port[MAX_PORT];

void
uci_state_dump(void)
{
	FILE *fp = fopen("/var/state/telephony", "w+");
	if (!fp)
		return;
	fprintf(fp, "+telephony.state=state\n");
	fprintf(fp, "telephony.state.online=%d\n", online);
	fprintf(fp, "telephony.state.port1=%d\n", port[0]);
	fprintf(fp, "telephony.state.port2=%d\n", port[1]);
	fclose(fp);
}

static void
uci_state_hook(char *event, pjsua_call_id call_id, int p)
{
	if ((p < 0) || (p > (MAX_PORT - 1)))
		return;
	if (!strcmp(event, "off_hook"))
		port[p] = 1;
	else if (!strcmp(event, "on_hook"))
		port[p] = 0;
	uci_state_dump();
}

NOTIFY(off_hook, uci_state_hook)
NOTIFY(on_hook, uci_state_hook)
