/*
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Copyright (C) 2010 John Crispin <blogic@openwrt.org>
 */

#ifndef _OWSIP_H__
#define _OWSIP_H__

#include <pjsua-lib/pjsua.h>
#include <pjsua-lib/pjsua_internal.h>
#include "config.h"

pjsua_call_id owsip_call(char *curi, struct account *a);	// call a sip uri
pjsua_call_id owsip_call_realm(char *curi, struct account *a);	// call a user in the same realm
pj_status_t owsip_pickup(pjsua_call_id call_id);	// answer a call
pj_status_t owsip_hangup(pjsua_call_id call_id);	// hang up a call
struct contact *owsip_contact(char *sequence);		// match call sequence with contact
struct account *owsip_account_map(int port);		// find the account to be used by a port

#ifdef OWSIP_DEBUG
#define OWSIP_TRACER(msg) printf("OWSIP TRACER: %s:%s - %s\n", __FILE__, __func__, msg);
#else
#define OWSIP_TRACER(msg)
#endif

#endif
